org.eclipse.viatra.query.patternlanguage

## Class PatternLanguageRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule
        - - org.eclipse.viatra.query.patternlanguage.AbstractPatternLanguageRuntimeModule
          - - org.eclipse.viatra.query.patternlanguage.PatternLanguageRuntimeModule

- All Implemented Interfaces:
    com.google.inject.Module

      public class PatternLanguageRuntimeModule
      extends AbstractPatternLanguageRuntimeModule

  Use this class to register components to be used at runtime / without the Equinox extension registry.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.AbstractPatternLanguageRuntimeModule

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageRuntimeModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends IExpectedPackageNameProvider>` | `bindIExpectedPackageNameProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider>` | `bindIQualifiedNameProvider()`
    `java.lang.Class<? extends ITypeInferrer>` | `bindITypeInferrer()`
    `java.lang.Class<? extends ITypeSystem>` | `bindITypeSystem()`
    `java.lang.Class<? extends PatternAnnotationProvider>` | `bindPatternAnnotationProvider()`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.AbstractPatternLanguageRuntimeModule

      `bindClassLoaderToInstance, bindDefaultBatchTypeResolver, bindDefaultReentrantTypeResolver, bindFeatureNameValidator, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIFormatter, bindIGlobalScopeProvider, bindIGrammarAccess, bindIJvmModelInferrer, bindILocationInFileProvider, bindIParser, bindIResourceValidator, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindIUnorderedGroupHelper, bindLexer, bindPatternLanguageJavaValidator, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsPersisted, configureLanguageName, configureRuntimeLexer, provideInternalPatternLanguageLexer`

    - ### Methods inherited from class org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule

      `bindAbstractFileSystemAccess2, bindCancelableDiagnostician, bindConfigurableIssueCodesProvider, bindEObjectAtOffsetHelper, bindIDefaultResourceDescriptionStrategy, bindIdentifiableSimpleNameProvider, bindIDerivedStateComputer, bindIEvaluationContext, bindIExpressionInterpreter, bindIGenerator, bindILinker, bindILinkingDiagnosticMessageProvider, bindIPartialParserHelper, bindIQualifiedNameConverter, bindIResourceDescription$Manager, bindIScopeProvider, bindIStratumBreakpointSupport, bindIValueConverterService, bindJvmTypeReferencesValidator, bindLineSeparatorHarmonizer, bindNodeModelBuilder, bindProjectConfigProvider, bindSeverityConverter, bindStaticImplicitMethodsFeatureForTypeProvider$ExtensionClassNameProvider, bindUniqueClassNameValidator, bindXtextResource, bindXtypeFactoryToInstance, configureIScopeProviderDelegate, configureITransientValueService, configureLinkingIScopeProvider, configureSerializerIScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinkingService, bindINodeModelFormatter, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureRuntimeEncodingProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageRuntimeModule

          public PatternLanguageRuntimeModule()

  - ### Method Detail

    - #### bindIQualifiedNameProvider

          public java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider> bindIQualifiedNameProvider()

      Overrides:
        `bindIQualifiedNameProvider` in class `AbstractPatternLanguageRuntimeModule`

    - #### bindPatternAnnotationProvider

          public java.lang.Class<? extends PatternAnnotationProvider> bindPatternAnnotationProvider()

    - #### bindITypeSystem

          public java.lang.Class<? extends ITypeSystem> bindITypeSystem()

    - #### bindITypeInferrer

          public java.lang.Class<? extends ITypeInferrer> bindITypeInferrer()

    - #### bindIExpectedPackageNameProvider

          public java.lang.Class<? extends IExpectedPackageNameProvider> bindIExpectedPackageNameProvider()

      Since:
        1.3